%define upstream_name	 Data-UUID
%define upstream_version 1.224

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for generating Globally/Universally Unique Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Perl extension for generating Globally/Universally Unique Identifiers
(GUIDs/UUIDs).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Data/UUID/UUID.so

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man3/*

%changelog
* Sun Mar 03 2019 tex 1.224.0-1pclos2019
- update to 1.224
